Bug 16108 - /etc/rc.d/rc.sysinit incorrectly mounts /proc according to /etc/fstab settings
Summary: /etc/rc.d/rc.sysinit incorrectly mounts /proc according to /etc/fstab settings
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-13 20:00 UTC by spookey@ender.com
Modified: 2014-03-17 02:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-13 20:00:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description spookey@ender.com 2000-08-13 20:00:48 UTC
/etc/rc.d/rc.sysinit incorrectly mounts /proc according to /etc/fstab 
settings.

For example:
/etc/fstab:
none                    /proc                   proc    defaults,gid=90 0 0
..
When mounted, /proc is not mounted gid=90, but it is mounted with 
default /proc permissions.

Mount command that works:
mount -t proc -o gid=90 /proc /proc

Thank you,
=Dave=

Comment 1 Bill Nottingham 2000-08-14 05:00:30 UTC
We probably aren't going to change this at this point; you're
free to edit /etc/rc.d/rc.sysinit to add the gid field to
the mount.


Note You need to log in before you can comment on or make changes to this bug.